<?php
/**
 * @copyright micropayment GmbH
 * @link      http://www.micropayment.de/
 */


interface ISerializer
{

    /**
     * @param mixed $data
     * @param mixed $options
     *
     * @return string
     */
    public static function serialize($data, $options = null);


    /**
     * @param string $data
     * @param mixed  $options
     *
     * @return mixed
     */
    public static function unserialize($data, $options = null);
}
